netbsd7 buildbot broken

http://lab.llvm.org:8011/builders/lldb-amd64-ninja-netbsd7/builds/4296

It looks like after this build, scripts for bots were altered to require
clang + clang++? I'm using the GNU toolchain. Could we please revert
this enforcement?

There’s no CMake change in any of these patches. It looks like something is wrong with your bot.

There is a change in build scripts from buildbot farm:

+ cmake -GNinja -DCMAKE_BUILD_TYPE=Release
/home/motus/build/build/scripts/../llvm -DCMAKE_C_COMPILER=clang
-DCMAKE_CXX_COMPILER=clang++

A commit earlier it was:

+ cmake -GNinja -DCMAKE_BUILD_TYPE=Release
/home/motus/build/build/scripts/../llvm -DCMAKE_C_COMPILER=gcc
-DCMAKE_CXX_COMPILER=g++ -DLLDB_DISABLE_CURSES:BOOL=FALSE

I modified those scripts recently (it's these scripts
<https://android.googlesource.com/platform/external/lldb-utils/+/lldb-master-dev/buildbotScripts/bashShell/svntotbuild/>,
for those who don't know what we are talking about), and I
accidentally broke that. I am sorry about that, it should be fixed
now.

However, I'd like to take this opportunity to make some things clear:
- these scripts are not a part of the llvm infrastructure, so mailing
Galina or lldb-dev about problems with them will not help as they
don't have the ability to change them. For issues with them, you will
need to contact someone on the android team (me, Tamas, Oleksiy).
- we don't mind you or anyone else using those scripts, but we provide
no SLA for them. We may (and we do) change the scripts at will and we
reserve the right to change them in any way, including ways which make
it incompatible with other buildbots. (This sounds harsh, we don't
intend to do that any time soon. However, the point is that we want to
have the flexibility in managing our buildbots.)

With the above in mind I'd suggest that you investigate alternative
approaches to managing your buildbot. I recommend creating a random
github repo and sticking the scripts there, so you have the ability to
manage them as you see fit (feel free to make a copy of the current
scripts).

cheers,
pl

It's now clear. Thank you!